/*
 * vl_erfill_python.h
 *
 *    Created on: Apr 30, 2009
 * Last Modified: Oct. 14, 2015
 *       Authors: Mikael Rousson
 *                Sebastian Sudholt
 */

#pragma once

#include <Python.h>
#include <vector>

#define PY_ARRAY_UNIQUE_SYMBOL PyArrayVlfeat
#define NO_IMPORT_ARRAY
#include <numpy/arrayobject.h> // in python/lib/site-packages/


#include <boost/python.hpp>
#include <boost/python/suite/indexing/vector_indexing_suite.hpp>
#include <boost/python/overloads.hpp>

/**
 *
 * @param pyArray
 * @param opt_step
 * @param opt_bounds
 * @param opt_size
 * @param opt_fast
 * @param windowsize
 * @param opt_verbose
 * @param opt_norm
 * @return
 */
PyObject * vl_dsift_python(
		PyArrayObject & pyArray,
		int opt_step,
		PyArrayObject & opt_bounds,
		int opt_size,
		bool opt_fast,
		double windowsize,
		bool opt_verbose,
		bool opt_norm);



